- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_stub.h File Reference

`#include <axis2_endpoint_ref.h>`
`#include <axis2_svc_client.h>`
`#include <axis2_options.h>`
`#include <axiom_xml_reader.h>`
`#include <axutil_property.h>`

Go to the source code of this file.

## Defines
#define | AXIOM_SOAP_11 1
#define | AXIOM_SOAP_12 2
## Typedefs
typedef struct axis2_stub | axis2_stub_t
## Functions
AXIS2_EXTERN void | axis2_stub_free (axis2_stub_t *stub, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_stub_set_endpoint_ref (axis2_stub_t *stub, const axutil_env_t *env, axis2_endpoint_ref_t *endpoint_ref)
AXIS2_EXTERN axis2_status_t | axis2_stub_set_endpoint_uri (axis2_stub_t *stub, const axutil_env_t *env, const axis2_char_t *endpoint_uri)
AXIS2_EXTERN axis2_status_t | axis2_stub_set_use_separate_listener (axis2_stub_t *stub, const axutil_env_t *env, const axis2_bool_t use_separate_listener)
AXIS2_EXTERN axis2_status_t | axis2_stub_set_soap_version (axis2_stub_t *stub, const axutil_env_t *env, const int soap_version)
AXIS2_EXTERN const axis2_char_t * | axis2_stub_get_svc_ctx_id (const axis2_stub_t *stub, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_stub_engage_module (axis2_stub_t *stub, const axutil_env_t *env, const axis2_char_t *module_name)
AXIS2_EXTERN axis2_svc_client_t * | axis2_stub_get_svc_client (const axis2_stub_t *stub, const axutil_env_t *env)
AXIS2_EXTERN axis2_options_t * | axis2_stub_get_options (const axis2_stub_t *stub, const axutil_env_t *env)
AXIS2_EXTERN axis2_stub_t * | axis2_stub_create_with_endpoint_ref_and_client_home (const axutil_env_t *env, axis2_endpoint_ref_t *endpoint_ref, const axis2_char_t *client_home)
AXIS2_EXTERN axis2_stub_t * | axis2_stub_create_with_endpoint_uri_and_client_home (const axutil_env_t *env, const axis2_char_t *endpoint_uri, const axis2_char_t *client_home)

## Detailed Description